Bug 1456239 - dnf update fails because of a problem on p11-kit package.
Summary: dnf update fails because of a problem on p11-kit package.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: p11-kit
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-28 09:22 UTC by Ali Yousefi Sabzevar
Modified: 2017-08-28 11:37 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-28 11:37:33 UTC


Attachments (Terms of Use)
Screenshot of dnf update with p11-kit package problem. (135.69 KB, image/png)
2017-05-28 09:22 UTC, Ali Yousefi Sabzevar
no flags Details

Description Ali Yousefi Sabzevar 2017-05-28 09:22:40 UTC
Created attachment 1282976 [details]
Screenshot of dnf update with p11-kit package problem.

Description of problem:
'dnf update' does not work because of 'p11-kit' package problem.

Version-Release number of selected component (if applicable):
0.23.2-4.fc25

How reproducible:
'sudo dnf update' or 'sudo dnf update p11-kit'

Steps to Reproduce:
1. sudo dnf update
2.sudo dnf update p11-kit
3.

Actual results:


Expected results:


Additional info:

Comment 1 Igor Gnatenko 2017-05-28 10:55:08 UTC
so why is it dnf problem?

Comment 2 Ali Yousefi Sabzevar 2017-05-28 12:22:17 UTC
(In reply to Igor Gnatenko from comment #1)
> so why is it dnf problem?
You are right. It is rpm package of p11-kit problem.
Apologize. I selected component wrongly.

Comment 3 Tomas Mraz 2017-05-29 07:23:43 UTC
Actually the question is - why dnf does not update both i686 and x86_64 variants of p11-kit at once? I suppose that the repository is not somehow broken and thus contains both .x86_64 and .i686 builds of the 0.23.2-4.fc25 version. Why dnf does not attempt to update both but instead updates just the .i686 build and thus creates a conflict.

Comment 4 Daiki Ueno 2017-06-21 07:32:51 UTC
I am moving this back to dnf, as I have no idea how to fix it in p11-kit packaging.

Comment 5 Igor Gnatenko 2017-06-21 07:55:53 UTC
p11-kit-trust just disappeared from being multilib (and definitely dnf doesn't allow to just erase it).

So you basically want to obsolete p11-kit-trust either from p11-kit-trust itself or even from multiple packages (including p11-kit-trust).

Comment 6 Igor Gnatenko 2017-06-21 08:00:03 UTC
[brain@ignatenko-w541 ~]$ sudo dnf update --allowerasing --best p11-kit
Failed to synchronize cache for repo 'rcm-tools-fedora-rpms', disabling.
Last metadata expiration check: 1:27:51 ago on Wed 21 Jun 2017 08:31:23 AM CEST.
Dependencies resolved.
==============================================================================
 Package             Arch         Version                Repository      Size
==============================================================================
Upgrading:
 p11-kit             i686         0.23.7-1.fc27          rawhide        255 k
 p11-kit             x86_64       0.23.7-1.fc27          rawhide        261 k
 p11-kit-devel       x86_64       0.23.7-1.fc27          rawhide         78 k
 p11-kit-trust       x86_64       0.23.7-1.fc27          rawhide        131 k
Removing:
 p11-kit-trust       i686         0.23.5-1.fc27          @rawhide       385 k

Transaction Summary
==============================================================================
Upgrade  4 Packages
Remove   1 Package

Total download size: 725 k
Is this ok [y/N]:

Comment 7 Ali Yousefi Sabzevar 2017-06-21 08:09:48 UTC
[root@ops-pc-02 ~]# dnf update --allowerasing --best p11-kit
Last metadata expiration check: 2:56:13 ago on Wed Jun 21 09:42:25 2017.
Dependencies resolved.
===================================================================================================================================================================================================================
 Package                                           Arch                                           Version                                                  Repository                                         Size
===================================================================================================================================================================================================================
Upgrading:
 p11-kit                                           i686                                           0.23.2-4.fc25                                            updates                                           146 k

Transaction Summary
===================================================================================================================================================================================================================
Upgrade  1 Package

Total download size: 146 k
Is this ok [y/N]: y
Downloading Packages:
p11-kit-0.23.2-3.fc25_0.23.2-4.fc25.i686.drpm                                                                                                                                       11 kB/s |  27 kB     00:02    
[DRPM] p11-kit-0.23.2-3.fc25_0.23.2-4.fc25.i686.drpm: done                                                                                                                                                        
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                              5.3 kB/s |  27 kB     00:04     
Delta RPMs reduced 0.1 MB of updates to 0.0 MB (81.1% saved)
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/share/man/man1/trust.1.gz from install of p11-kit-0.23.2-4.fc25.i686 conflicts with file from package p11-kit-0.23.2-3.fc25.x86_64
  file /usr/share/man/man5/pkcs11.conf.5.gz from install of p11-kit-0.23.2-4.fc25.i686 conflicts with file from package p11-kit-0.23.2-3.fc25.x86_64
  file /usr/share/man/man8/p11-kit.8.gz from install of p11-kit-0.23.2-4.fc25.i686 conflicts with file from package p11-kit-0.23.2-3.fc25.x86_64

Error Summary
-------------

Comment 8 Daiki Ueno 2017-06-21 08:16:08 UTC
(In reply to Igor Gnatenko from comment #5)
> p11-kit-trust just disappeared from being multilib (and definitely dnf
> doesn't allow to just erase it).
> 
> So you basically want to obsolete p11-kit-trust either from p11-kit-trust
> itself or even from multiple packages (including p11-kit-trust).

Sorry, I don't get it.  As far as I understand, p11-kit-trust must remain multilib, otherwise i686 applications cannot find the trust module on x86_64.

If this is a problem in p11-kit packaging, could you point me to the actual change that caused the disappearance?

Comment 9 Tomas Mraz 2017-06-21 10:13:00 UTC
Yes, we need the p11-kit-trust to remain multilib. Having dependencies from other multilib packages such as gnutls with the proper Requires: p11-kit-trust%{?_isa} should be sufficient, shouldn't it?

Comment 10 Daiki Ueno 2017-06-22 07:57:20 UTC
Thank you Tomas for clarifying that on the mailing list.  I have opened a rel-eng ticket as suggested:
https://pagure.io/releng/issue/6855


Note You need to log in before you can comment on or make changes to this bug.